{ inputs, pkgs, ... }:
{
  home.packages = [
    pkgs.hyprlauncher
  ];
  wayland.windowManager.hyprland.settings = {
    bind = [
      "$mainMod, R, exec, hyprlauncher"
    ];
  };
  systemd.user.services.hyprlauncher-deamon = {
    Install = {
      WantedBy = [ "hyprland-session.target" ];
    };
    Service = {
      ExecStart = "${pkgs.writeShellScript "watch-store" ''
        hyprlauncher -d 
      ''}";
    };
  };
}
